Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class SQLExec.DelimiterType

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.SQLExec.DelimiterType

Enclosing class:
  SQLExec

public static class SQLExec.DelimiterType
extends EnumeratedAttribute

delimiters we support, "normal" and "row"

Field Summary
`static java.lang.String` | `NORMAL`
`static java.lang.String` | `ROW`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`SQLExec.DelimiterType()`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final java.lang.String NORMAL

See Also:
  Constant Field Values

### ROW

    public static final java.lang.String ROW

See Also:
  Constant Field Values

Constructor Detail

### SQLExec.DelimiterType

    public SQLExec.DelimiterType()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.